From cf15bae0093503ecfe7737a5dc3da48315142bc7 Mon Sep 17 00:00:00 2001
From: Pierre-Yves Chibon <pingou@pingoured.fr>
Date: Feb 10 2016 11:26:35 +0000
Subject: [PATCH 1/2] Links issues with issues and remove remaining `>`


---

diff --git a/hubs/widgets/pagureissues.py b/hubs/widgets/pagureissues.py
index fd52f16..3fb4a8c 100644
--- a/hubs/widgets/pagureissues.py
+++ b/hubs/widgets/pagureissues.py
@@ -41,9 +41,9 @@ template = jinja2.Template("""
           </td>
           <td>
             <span class="label label-default">#{{ issue['issue_id'] }}</span>
-            <a href="https://pagure.io/{{ repo }}/pull-request/{{
+            <a href="https://pagure.io/{{ repo }}/issue/{{
              issue['issue_id'] }}" target="_blank"
-             title="{{ issue['issue_title_full'] }}">>
+             title="{{ issue['issue_title_full'] }}">
               {{ issue['issue_title'] }} ...
             </a>
           </td>

From 2bab4fd25d4b063a13648e833a918e60d599238c Mon Sep 17 00:00:00 2001
From: Pierre-Yves Chibon <pingou@pingoured.fr>
Date: Feb 10 2016 13:40:25 +0000
Subject: [PATCH 2/2] Make the pagure issues widget look closer to the workflow.updates2stables one


---

diff --git a/hubs/widgets/pagureissues.py b/hubs/widgets/pagureissues.py
index 3fb4a8c..6eecf9b 100644
--- a/hubs/widgets/pagureissues.py
+++ b/hubs/widgets/pagureissues.py
@@ -10,71 +10,53 @@ chrome = panel("Newest Open Tickets on Pagure")
 pagure_url = "https://pagure.io/api/0"
 
 template = jinja2.Template("""
-  <div class="container">
-    <table id="pagure-issues-list"
-        class="table table-hover table-striped m-b-0">
-      <thead class="thead-default">
-        <tr>
-          <th id="project-title">Project</th>
-          <th id="issue-title">Issue</th>
-          <th class="open_by">Reporter</th>
-          <th class="assigned">Assignee</th>
-        </tr>
-      </thead>
-      <tfoot>
-      </tfoot>
-      <tbody>
-        {% for issue in all_issues %}
-        <tr>
-          <td>
-            {% if issue['issue_project_user'] %}
-            <a href="https://pagure.io/forks/{{
-                issue['issue_project_user'] }}/{{ issue['issue_project_name'] }}"
-              target="_blank">
-              {{ issue['issue_project_user'] }}/{{ issue['issue_project_name'] }}
-            {% else %}
-            <a href="https://pagure.io/{{
-              issue['issue_project_name'] }}" target="_blank">
-              {{ issue['issue_project_name'] }}
-            {% endif %}
-            </a>
-          </td>
-          <td>
-            <span class="label label-default">#{{ issue['issue_id'] }}</span>
-            <a href="https://pagure.io/{{ repo }}/issue/{{
-             issue['issue_id'] }}" target="_blank"
-             title="{{ issue['issue_title_full'] }}">
-              {{ issue['issue_title'] }} ...
-            </a>
-          </td>
-          <td>
-            <a href="https://pagure.io/user/{{ issue['issue_openedby'] }}"
-                target="_blank">
-              {{ issue['issue_openedby'] }}
-            </a>
-          </td>
-          <td>
-            {% if issue['issue_assignee'] %}
-              <a href="https://pagure.io/user/{{issue['issue_assignee'] }}"
-                  target="_blank">
-                {{issue['issue_assignee'] }}
-              </a>
-            {% else %}
-              <span class="text-muted">unassigned</span>
-            {% endif %}
-          </td>
-        </tr>
-        {% endfor %}
-      </tbody>
-    </table>
-    </div class="row">
-      <center>
-        <a href="https://pagure.io/{{ repo }}/issues" target="_blank">
-          All Issues
+<a class="btn btn-success" target="_blank"
+    href="https://pagure.io/{{ repo }}/issues">
+  All Issues
+</a>
+<hr/>
+
+<ul class="media-list">
+  {% for issue in all_issues[:10] %}
+    <li class="media">
+      <div class="media-left">
+        <a  href="https://pagure.io/{{ repo }}/issue/{{ issue['issue_id'] }}"
+            target="_blank">
+          {{ issue['issue_project_name'] }}
+        <span class="label label-default">#{{ issue['issue_id'] }}</span>
         </a>
-      <center>
-    </div>
-  </div>
+      </div>
+      <div class="media-body">
+        <h4 class="media-heading">
+          <span title="{{ issue['issue_title_full'] }}">
+            {{ issue['issue_title'] }} {% if
+              issue['issue_title_full'] | length > 45 %} ... {% endif %}
+          </span>
+        </h4>
+        Opened by:
+          <a href="https://pagure.io/user/{{ issue['issue_openedby'] }}"
+              target="_blank">
+            {{ issue['issue_openedby'] }}
+          </a>
+        --
+        {% if issue['issue_assignee'] %}
+          Assigned to:
+          <a href="https://pagure.io/user/{{issue['issue_assignee'] }}"
+              target="_blank">
+            {{issue['issue_assignee'] }}
+          </a>
+        {% else %}
+          <span class="text-muted">Unassigned</span>
+        {% endif %}
+      </div>
+    </li>
+  {% endfor %}
+  {% if all_issues | length > 10 %}
+  <li>
+    And {{ all_issues | length - 10 }} more ...
+  </li>
+  {% endif %}
+</ul>
 """)
 
 

